<?php
include 'PHPExcel.php';
include 'PHPExcel/Writer/CSV.php';

$workbook = new PHPExcel;
$sheet = $workbook->getActiveSheet();

$horodatages = array('8h', '9h', '10h', '11h', '12h', '13h');
$donnees = array(20, 23.5, 24, 28, 24, 19);

$sheet->setCellValue("A1", "Heure");
// on démarre en A2
foreach ($horodatages as $i => $heure) 
{
   $sheet->setCellValueByColumnAndRow(0, $i+2, $heure); // colonne 0 => Ax
}

$sheet->setCellValue("B1", "Température");
// on démarre en B2
foreach ($donnees as $i => $temperature) 
{
   $sheet->setCellValueByColumnAndRow(1, $i+2, $temperature);
}

// Sauvegarder au format CSV
$writer = new PHPExcel_Writer_CSV($workbook);
$writer->setDelimiter(";");
$writer->save('./datas/exemple3.csv');

?>

